Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 499166 - x11-misc/imake-1.0.7 stabilize
Summary: x11-misc/imake-1.0.7 stabilize
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Development (show other bugs)
Hardware: All All
: Normal normal (vote)
Assignee: Gentoo X packagers
URL: https://bugs.freedesktop.org/show_bug...
Whiteboard: was: xmkmf and other shell scripts ha...
Keywords: STABLEREQ
Depends on:
Blocks: gcc-4.8
  Show dependency tree
 
Reported: 2014-01-24 21:21 UTC by Greg Turner
Modified: 2014-10-20 07:03 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
fix-imake-ebuild.patch (fix-imake-gcc48.patch,4.97 KB, patch)
2014-01-24 21:22 UTC, Greg Turner
Details | Diff
image-1.0.6-gcc48-avoid-stdin.patch (imake-1.0.6-gcc48-avoid-stdin.patch,1.29 KB, patch)
2014-01-24 21:28 UTC, Greg Turner
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Greg Turner 2014-01-24 21:21:25 UTC
xmkmf and other shell scripts are generated by this ebuild with tons of whitespace before the shebangs.  This has to do with the Makefile.am and gcc4.8.

See https://bugs.freedesktop.org/show_bug.cgi?id=74031, https://bugs.freedesktop.org/show_bug.cgi?id=69439.

Enclosed patch should do the trick (sorry for the meta-patch, lazy, yes, but sufficiently trivial to sight-read).

Reproducible: Always

Steps to Reproduce:
gcc-config x86_64-pc-linux-gnu-4.8.2
emerge x11-misc/imake
head -n 40 `which xmkmf`
Comment 1 Greg Turner 2014-01-24 21:22:25 UTC
Created attachment 368646 [details, diff]
fix-imake-ebuild.patch
Comment 2 Greg Turner 2014-01-24 21:28:07 UTC
Created attachment 368648 [details, diff]
image-1.0.6-gcc48-avoid-stdin.patch

Clean version of patch to apply (don't forget to autoreconf though!)
Comment 3 Greg Turner 2014-01-24 21:29:20 UTC
(In reply to Greg Turner from comment #1)
> Created attachment 368646 [details, diff] [details, diff]
> fix-imake-ebuild.patch

Technically, it's not a backport.  But probably will be soon enough :)
Comment 4 Greg Turner 2014-04-21 19:57:21 UTC
As hoped/predicted, this went in upstream (see 
https://bugs.freedesktop.org/show_bug.cgi?id=74031) so back-porting it should be a no-brainer.
Comment 5 Greg Turner 2014-05-30 20:56:32 UTC
Nobody backported my patch, but this fix is automatically picked up by unstable, as upstream has it in imake-1.0.7.

Util gentoo-x86 stabilizes that version, the bug will still affect stable systems using gcc-4.8.x.  Users affectedcan work around it simply by adding "=x11-misc/imake-1.0.7 *~" to package.accept_keywords.
Comment 6 Jeroen Roovers gentoo-dev 2014-09-28 11:00:48 UTC
Stable for HPPA.
Comment 7 Markus Meier gentoo-dev 2014-10-04 12:19:39 UTC
arm stable
Comment 8 Anthony Basile gentoo-dev 2014-10-07 22:17:56 UTC
Stable on ppc and ppc64.

@other arches.  This bug goes back to 2014-01-24 and it is blocking gcc-4.8.
Comment 9 Agostino Sarubbo gentoo-dev 2014-10-09 14:48:29 UTC
amd64 stable
Comment 10 Agostino Sarubbo gentoo-dev 2014-10-10 11:05:36 UTC
x86 stable
Comment 11 Tobias Klausmann gentoo-dev 2014-10-11 09:21:20 UTC
Stable on alpha.
Comment 12 Agostino Sarubbo gentoo-dev 2014-10-20 07:03:09 UTC
sparc stable
Comment 13 Agostino Sarubbo gentoo-dev 2014-10-20 07:03:34 UTC
ia64 stable. Closing.